Search documentation of ExStreamClient

# ExStreamClient.Model.SegmentResponse (ExStreamClient v0.1.10)

View Source

Schema representing a SegmentResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.SegmentResponse{
      all_sender_channels: boolean(),
      all_users: boolean(),
      created_at: float(),
      deleted_at: float(),
      description: String.t(),
      filter: %{optional(String.t()) => any()},
      id: String.t(),
      name: String.t(),
      size: integer(),
      type: String.t(),
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()